/*********************************************************************
 * INCLUDES
 */
#include "ble_comm.h"
#include "app_flash.h"
#include "hal_ble_client.h"
#include "app_safe.h"
#include "app_flash.h"

static void app_safe_Process(void)
{
  static uint8_t cnt =0;
	if(mBackup.ErrorStartFlag >0){
		cnt++;
		if(cnt >=6){//一分钟后清空标志位
			mBackup.ErrorStartFlag =0;
		  Flash_SaveBackup();
			SEGGER_RTT_printf(0,"clear mBackup.ErrorStartFlag\n");
		}
	}
}

void app_safe_Init(void)
{
	Process_Start(10000,"app_safe_Process",app_safe_Process);
}

 





